コンテンツへスキップ

Bria's VRMBG 3.0

統合

モデルID bria/video/background-removal/v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/background-removal/v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.50 500 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Bria AI 背景除去 #video-to-video

単色または透明な出力と自動ズーム切り抜きに対応する動画背景除去 v3

Bria AI · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

背景除去対象の元動画。

詳細設定 output_container_and_codec · background_color · preserve_audio · auto_zoom
デフォルト webm_vp9

出力に使用するコンテナとコーデック: mp4_h265、mp4_h264、webm_vp9、mov_h265、mov_proresks、mkv_h265、mkv_h264、mkv_vp9、またはgif。

デフォルト Black

背景に使用する色: Transparent、Black、White、Gray、Red、Green、Blue、Yellow、Cyan、Magenta、またはOrange。

POST /run/bria/video/background-removal/v3?wait=20 見積もり → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/background-removal/v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Bria's VRMBG 3.0について

`video_url` で指定した動画から背景を削除します。`background_color` は Transparent または 10 種類の単色から選択できます。`auto_zoom` は動画全体で被写体を含む最小の長方形に出力を切り抜きます。出力コンテナとコーデックは 9 種類から選択でき、`preserve_audio` はデフォルトで有効です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
output_container_and_codec任意
型enum
デフォルトwebm_vp9
mp4_h265mp4_h264webm_vp9mov_h265mov_proresksmkv_h265mkv_h264mkv_vp9gif
出力に使用するコンテナとコーデック: mp4_h265、mp4_h264、webm_vp9、mov_h265、mov_proresks、mkv_h265、mkv_h264、mkv_vp9、またはgif。
preserve_audio任意
型boolean
デフォルトtrue
true の場合、出力動画に音声を保持します。
video_url必須 video
型url · video
背景除去対象の元動画。
background_color任意
型enum
デフォルトBlack
TransparentBlackWhiteGrayRedGreenBlueYellowCyanMagentaOrange
背景に使用する色: Transparent、Black、White、Gray、Red、Green、Blue、Yellow、Cyan、Magenta、またはOrange。
auto_zoom任意
型boolean
デフォルトfalse
自動切り抜きの切り替え。trueでは、すべての動画フレームにおける被写体の位置から最小の外接矩形を求め、出力を切り抜きます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/video/background-removal/v3",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "request_id": "string",
    "warning": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}背景と音声を除去した後の動画。
request_id
stringBriaリクエストの識別子。
warning
string | nullリクエスト処理中に行われたパラメータ調整を説明する警告。例えば、アルファ非対応のコーデックでは透明な背景の代わりに黒が必要になる場合があります。

その他のモデル: 背景除去

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/video/background-removal/v3.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt